Page MenuHomePhabricator

[mips][microMIPS] Mark symbols as microMIPS if necessary
ClosedPublic

Authored by zoran.jovanovic on Oct 30 2014, 2:09 PM.

Details

Summary

Implements marking of all necessary symbols as microMIPS.

Diff Detail

Repository
rL LLVM

Event Timeline

zoran.jovanovic retitled this revision from to [mips][microMIPS] Mark symbols as microMIPS if necessary.
zoran.jovanovic updated this object.
zoran.jovanovic edited the test plan for this revision. (Show Details)
zoran.jovanovic added a subscriber: Unknown Object (MLST).
rafael added inline comments.
include/llvm/MC/MCStreamer.h
349 ↗(On Diff #15579)

can't you use the already virtual ChangeSection?

zoran.jovanovic added inline comments.Nov 3 2014, 7:40 AM
include/llvm/MC/MCStreamer.h
349 ↗(On Diff #15579)

ChangeSection is called only if section is actually changed.
If section in .section directive is the same as current section then ChangeSection is not called (unlike SwitchSection).
As consequence, test micromips-label-test-sections.s would fail.


rafael wrote:

can't you use the already virtual ChangeSection?

ChangeSection is called only if section is actually changed.
If section in .section directive is the same as current section then ChangeSection is not called (unlike SwitchSection).
As consequence, test micromips-label-test-sections.s would fail.

I see.

Eventually we should move all of these to be part of the target
streamer, but for now this is probably fine for now.

I know nothing about micromips, so please wait for a review about the
mips specific bits from someone that does :-)

Cheers,
Rafael

sstankovic edited edge metadata.Nov 5 2014, 4:13 AM

LGTM, with two changes.

lib/Target/Mips/MCTargetDesc/MipsELFStreamer.cpp
39 ↗(On Diff #15579)

Add '.' at the end of sentence.

lib/Target/Mips/MCTargetDesc/MipsELFStreamer.h
51 ↗(On Diff #15579)

"based" should start with uppercase.

sstankovic accepted this revision.Nov 5 2014, 4:13 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Nov 5 2014, 4:13 AM
Diffusion closed this revision.Nov 5 2014, 8:46 AM
Diffusion updated this revision to Diff 15814.

Closed by commit rL221355 (authored by zjovanovic).